# QStylePainter Class Reference

### [com.trolltech.qt.gui package]

Inherits QPainter.

### Constructor

- void QStylePainter()
- void QStylePainter(QPaintDevice pd, QWidget w)
- void QStylePainter(QWidget w)

### Constructor Properties

- prototype: The QStylePainter prototype object

### Prototype Object Properties

The QStylePainter prototype object inherits properties from the QPainter prototype object and also has the following properties.

- bool begin(QPaintDevice pd, QWidget w)
- void drawComplexControl(ComplexControl cc, QStyleOptionComplex opt)
- void drawControl(ControlElement ce, QStyleOption opt)
- void drawItemPixmap(QRect r, int flags, QPixmap pixmap)
- void drawItemText(QRect r, int flags, QPalette pal, bool enabled, String text, ColorRole textRole)
- void drawPrimitive(PrimitiveElement pe, QStyleOption opt)
- QStyle style()

### Instance Properties

QStylePainter objects have no special properties beyond those inherited from the QStylePainter prototype object.